[Overview][Types][Classes][Index] | Reference for unit 'GroupedEdit' (#lcl)

# TCustomAbstractGroupedEdit.FocusOnBuddyClick

Determines if the control receives focus when the Buddy control is clicked.

## Declaration

Source position: groupededit.pp line 261

`protected property TCustomAbstractGroupedEdit.FocusOnBuddyClick : Boolean read FFocusOnBuddyClick write FFocusOnBuddyClick default False;`

## Description

FocusOnBuddyClick is a Boolean property which determines if the control receives focus (and a potential change to the text selection in the editor) when the Buddy control is clicked. The default value for the property is False.

FocusOnBuddyClick is used in the implementation of the BuddyClick method.

## See also

TCustomAbstractGroupedEdit.Buddy |  | Represents the associated TControl instance in the grouped edit control.
TCustomAbstractGroupedEdit.BuddyClick |  | Performs actions needed when the Buddy control is clicked.